Bug 16541 - Make edit and delete links styled buttons in cities administration
Summary: Make edit and delete links styled buttons in cities administration
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/admin/cities.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-18 12:47 UTC by Owen Leonard
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16541 - Make edit and delete links styled buttons in cities administration (2.15 KB, patch)
2016-05-25 14:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16541 - Make edit and delete links styled buttons in cities administration (2.16 KB, patch)
2016-05-27 15:40 UTC, archiv
Details | Diff | Splinter Review
Bug 16541 - Make edit and delete links styled buttons in cities administration (2.23 KB, patch)
2016-06-12 11:19 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-05-18 12:47:16 UTC
In Administration -> Cities, the edit and delete buttons should be made into Bootstrap-styled buttons with Font Awesome icons.
Comment 1 Owen Leonard 2016-05-25 14:57:50 UTC Comment hidden (obsolete)
Comment 2 archiv 2016-05-27 15:40:50 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-12 11:19:29 UTC
Created attachment 52282 [details] [review]
Bug 16541 - Make edit and delete links styled buttons in cities administration

This patch modifies the cities administration page, converting edit and
delete links to Bootstrap buttons with Font Awesome icons.

To test, apply the patch and go to Administration -> Cities and towns.
The 'Edit' and 'Delete' buttons should look correct and work correctly.

Signed-off-by: rainer <archiv@a-bibliothek.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-06-17 15:43:43 UTC
Pushed to master for 16.11, thanks Owen!
Comment 5 Frédéric Demians 2016-06-24 05:48:04 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 6 Julian Maurice 2016-07-01 07:40:48 UTC
Patch pushed to 3.22.x, will be in 3.22.9